package com.crm.manager.dto.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;

@Data
public class TradeSalesPerformanceExportDto extends BaseRowModel {

    @ExcelProperty(value = "入职日期", index = 0)
    private String entryDate;

    @ExcelProperty(value = "销售姓名", index = 1)
    private String salesName;

    @ExcelProperty(value = "销售编号", index = 2)
    private String ibNo;

    @ExcelProperty(value = "入金金额", index = 3)
    private Float depositAmount;

    @ExcelProperty(value = "出金金额", index = 4)
    private Float withdrawAmount;

    @ExcelProperty(value = "净入金金额", index = 5)
    private Float worthDepositAmount;

    @ExcelProperty(value = "当月入金金额", index = 6)
    private Float curMonthDepositAmount;

    @ExcelProperty(value = "当月出金金额", index = 7)
    private Float curMonthdWithdrawAmount;

    @ExcelProperty(value = "当月净入金金额", index = 8)
    private Float curMonthdWorthDepositAmount;

    @ExcelProperty(value = "当月开户数量", index = 9)
    private Integer curAddCustomNum;

    @ExcelProperty(value = "平均三个月的毛入金", index = 10)
    private Float monthDepositAmount;

    @ExcelProperty(value = " 平均三个月的净入金", index = 11)
    private Float monthdWorthDepositAmount;

    public static TradeSalesPerformanceExportDto getInstance(){
        TradeSalesPerformanceExportDto dto = new TradeSalesPerformanceExportDto();
        dto.setDepositAmount(0f);
        dto.setWithdrawAmount(0F);
        dto.setWorthDepositAmount(0f);
        //dto.setCustomNum(0);
        dto.setCurMonthDepositAmount(0f);
        dto.setCurMonthdWithdrawAmount(0f);
        dto.setCurMonthdWorthDepositAmount(0f);
        dto.setCurAddCustomNum(0);
        dto.setMonthDepositAmount(0f);
        dto.setMonthdWorthDepositAmount(0f);

        return dto;
    }

}
